Subject: Re: bug#55047: Bug: Abort Dialog upon start

From: hermit sings <[email-masked]>
Date: Sat, 30 Apr 2022 13:40:18 +0000 (UTC)

I tried to run it under GDB and it's giving the same message: 'No debugging symbols'. However, this time after launching Emacs 28.0.92, it produced a backtrace file which Emacs 28.1 (which was installed in my system) didn't, although the dialog showed it would produce it in the working directory. I don't know if it's of any help but I will just provide that file here.
Regards.

    On Saturday, 30 April, 2022, 04:36:35 pm IST, Eli Zaretskii <[email-masked]> wrote:  

[Please use Reply All.  Please do NOT reply only to me.]

> Date: Sat, 30 Apr 2022 10:56:20 +0000 (UTC)
> From: hermit sings <[email-masked]>
> 
> I have been trying to debug with MSYS GDB with the link you provided but even after 2 days and hours into
> it, I could not obtain a log. GDB shows `No debugging symbols found in ./emacs.exe` everytime. I've tried to
> search the web a lot for this but I could not make it to debug. I have also tried using `-g` but it shows this
> argument is unrecognized. I am attaching a screenshot of it with this mail.

Sorry about that, and thank you for your efforts.

It looks like the Emacs binary you use was stripped of the debugging
symbols, so it doesn't support any useful debugging.

There's a pretest version that should include debug symbols, here:

  https://alpha.gnu.org/gnu/emacs/pretest/windows/emacs-28/emacs-28.0.92.zip

Corwin, does the pretest include debug symbols in the Emacs binary, or
was that also stripped?

If Corwin replies that debug symbols are included, could you please
install that pretest version and try running it under GDB?  TIA.